I need to use the 64-bit Linux blender, but I don't want to accidentally
[blender.git] / source / creator / creator.c
index 37df17e3bad2c869b6f0a86c4887f2186ff3757c..25d3c9ce88b93abae9606509a708934dab52e031 100644 (file)
@@ -235,6 +235,7 @@ int main(int argc, char **argv)
        int audio = 0;
 #endif
 
+#ifndef YESIAMSTUPID
        /* temporary: prevent people to make/use 64 bits versions without them knowing it might be
                risky. I don't know for sure yet if we get problems, but I rather not get the burden of
                having to fix all faulty saved 64 bits files (ton) */
@@ -242,6 +243,14 @@ int main(int argc, char **argv)
                printf("64 bits compiles will give incorrectly saved .blend files. Do not use it. For testing purposes please remove this line from creator.c\n"); 
                exit(0);
        }
+#else
+       if(sizeof(void *)==8) {
+               printf("64 bits compiles will give incorrectly saved .blend files. Do not use it.\n\n"
+       "*** If you continue to run this executable, you really are quite stupid ***\n\n"); 
+
+       }
+
+#endif
 
        setCallbacks();
 #ifdef __APPLE__